Skip to content

upsertPurchasingRFQLine

WRITE

Upsert purchasing r f q line.

POST /api/v1/purchasing/upsertPurchasingRFQLine
curl -X POST '<your-host>/api/v1/purchasing/upsertPurchasingRFQLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "purchasingRfqLine": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "purchasingRfqLine": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "purchasingRfqId": {
              "type": "string"
            },
            "itemId": {
              "type": "string"
            },
            "description": {
              "type": "string"
            },
            "quantity": {
              "type": "array",
              "items": {
                "type": "number"
              }
            },
            "purchaseUnitOfMeasureCode": {
              "type": "string"
            },
            "inventoryUnitOfMeasureCode": {
              "type": "string"
            },
            "conversionFactor": {
              "type": "number"
            },
            "order": {
              "type": "number"
            },
            "customFields": {}
          },
          "required": [
            "purchasingRfqId",
            "itemId",
            "quantity",
            "purchaseUnitOfMeasureCode",
            "inventoryUnitOfMeasureCode",
            "order"
          ]
        },
        {
          "type": "object",
          "properties": {
            "id": {
              "type": "string"
            },
            "purchasingRfqId": {
              "type": "string"
            },
            "itemId": {
              "type": "string"
            },
            "description": {
              "type": "string"
            },
            "quantity": {
              "type": "array",
              "items": {
                "type": "number"
              }
            },
            "purchaseUnitOfMeasureCode": {
              "type": "string"
            },
            "inventoryUnitOfMeasureCode": {
              "type": "string"
            },
            "conversionFactor": {
              "type": "number"
            },
            "order": {
              "type": "number"
            },
            "customFields": {}
          },
          "required": [
            "id",
            "purchasingRfqId",
            "itemId",
            "quantity",
            "purchaseUnitOfMeasureCode",
            "inventoryUnitOfMeasureCode",
            "order"
          ]
        }
      ]
    }
  },
  "required": [
    "purchasingRfqLine"
  ]
}